# SIPEventPackageHandler Class Reference

`#include <sippdu.h>`

## Public Member Functions

| SIPEventPackageHandler ()
virtual | ~SIPEventPackageHandler ()
virtual PCaselessString | GetContentType () const =0
virtual bool | ValidateContentType (const PString &type, const SIPMIMEInfo &mime)
virtual bool | ValidateNotificationSequence (SIPSubscribeHandler &handler, unsigned newSequenceNumber, bool fullUpdate)
virtual void | OnReceivedNOTIFY (SIPSubscribe::NotifyCallbackInfo &notifyInfo)=0
virtual PString | OnSendNOTIFY (SIPHandler &, const PObject *)
| P_REMOVE_VIRTUAL (bool, OnReceivedNOTIFY(SIPHandler &, SIP_PDU &), false)

## Constructor & Destructor Documentation

SIPEventPackageHandler::SIPEventPackageHandler | ( |  | ) | `[inline]`

virtual SIPEventPackageHandler::~SIPEventPackageHandler | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

virtual PCaselessString SIPEventPackageHandler::GetContentType | ( |  | ) | const`[pure virtual]`

virtual void SIPEventPackageHandler::OnReceivedNOTIFY | ( | SIPSubscribe::NotifyCallbackInfo & | notifyInfo | ) | `[pure virtual]`

virtual PString SIPEventPackageHandler::OnSendNOTIFY | ( | SIPHandler & | ,
|  | const PObject * |  |
| ) |  |  | `[inline, virtual]`

SIPEventPackageHandler::P_REMOVE_VIRTUAL | ( | bool | ,
|  | OnReceivedNOTIFY(SIPHandler &, SIP_PDU &) | ,
|  | false |  |
| ) |  |  |

virtual bool SIPEventPackageHandler::ValidateContentType | ( | const PString & | type,
|  | const SIPMIMEInfo & | mime |
| ) |  |  | `[virtual]`

virtual bool SIPEventPackageHandler::ValidateNotificationSequence | ( | SIPSubscribeHandler & | handler,
|  | unsigned | newSequenceNumber,
|  | bool | fullUpdate |
| ) |  |  | `[virtual]`

The documentation for this class was generated from the following file:

- sippdu.h